---
title: llarp::hooks

---

# llarp::hooks



## Classes

|                | Name           |
| -------------- | -------------- |
| struct | **[llarp::hooks::IBackend](Classes/structllarp_1_1hooks_1_1IBackend.md)** <br>base type for event hook handlers  |

## Types

|                | Name           |
| -------------- | -------------- |
| using std::shared_ptr< [IBackend](Classes/structllarp_1_1hooks_1_1IBackend.md) > | **[Backend_ptr](Namespaces/namespacellarp_1_1hooks.md#using-backend-ptr)**  |

## Functions

|                | Name           |
| -------------- | -------------- |
| Backend_ptr | **[ExecShellBackend](Namespaces/namespacellarp_1_1hooks.md#function-execshellbackend)**(std::string execFilePath)<br>exec file based hook notifier  |

## Types Documentation

### using Backend_ptr

```cpp
using llarp::hooks::Backend_ptr = typedef std::shared_ptr<IBackend>;
```



## Functions Documentation

### function ExecShellBackend

```cpp
Backend_ptr ExecShellBackend(
    std::string execFilePath
)
```

exec file based hook notifier 





-------------------------------

Updated on 2022-04-18 at 19:54:45 +0000